/*! 
    \projectile.h
    \brief a projectile, that is been shooted by a weapon
*/

#ifndef _PROJECTILE_H
#define _PROJECTILE_H

#include "world_entity.h"


class Projectile : public WorldEntity 
{
  friend class World;

 public:
  Projectile ();
  virtual ~Projectile ();

  virtual void hit (WorldEntity* weapon, Vector* loc);
  virtual void destroy ();

  virtual void tick (float time);
  virtual void draw ();

 private:
  int health;                        //<! the healt of a projectile
  int maxHelath;                     //<! the max healt of a projectile
  int damageToAirCraft;              //<! damage dealt to a air craft
  int damageToGroundCraft;           //<! damage dealt to a ground craft
};

#endif /* _PROJECTILE_H */
